jQuery(document).ready(function($){

    $(document).on('click', '#podcaster-radio-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'podcaster_radio_dismiss_notice'
            }
        });

    });

});